See the top rated post in this thread. Click here

Results 1 to 4 of 4

Thread: New Text Using Incorrect Height

  1. #1
    Member
    Join Date
    2014-06
    Posts
    36
    Login to Give a bone
    0

    Default New Text Using Incorrect Height

    Hi,

    According to my now exhaustive research, I'm fairly certain L80 text style at a 1:20 viewport scale should have a text height of 0.08" x 20 = 1.6. See http://thatcadgirl.com/TechDocs/ACAD...zes_Method.pdf).

    My issue stems from working with a dwg that was initially created to use a 1:40 scale. I now want to use the same dwg at a 1:20 scale. When I select L80 style (see screenshot 1), AutoCAD sets the height to 3.20. That would be fine if my drawing was 40 scale, but it's not (see screenshot 2).

    So, my question is: what am I missing such that new L80 text is created at the appropriate text height?

    Using Civil 3D 2011. Thanks for your thoughts!
    Attached Images Attached Images
    • File Type: png 1.PNG (16.8 KB, 5 views)
    • File Type: png 2.PNG (49.7 KB, 5 views)

  2. #2
    Certifiable AUGI Addict
    Join Date
    2001-03
    Location
    Tallahassee, FL USA
    Posts
    3,667
    Login to Give a bone
    1

    Default Re: New Text Using Incorrect Height

    Use the style command to set L80 height to 1.6. Civil 3D labels by default plot the same size regardless of viewport scale, but not text.

  3. #3
    Member
    Join Date
    2014-06
    Posts
    36
    Login to Give a bone
    0

    Default Re: New Text Using Incorrect Height

    Thanks, Tom. That did the trick. It boggles my mind why I'd need to use the style command instead of that drop-down. Now the drop-down displays the appropriate height for L80. Changing the drop-down to L100 shows the incorrect height (it's still using 40-scale values). Frustrating.

  4. #4
    Certifiable AUGI Addict
    Join Date
    2001-03
    Location
    Tallahassee, FL USA
    Posts
    3,667
    Login to Give a bone
    0

    Default Re: New Text Using Incorrect Height

    Quote Originally Posted by driggins View Post
    Thanks, Tom. That did the trick. It boggles my mind why I'd need to use the style command instead of that drop-down. Now the drop-down displays the appropriate height for L80. Changing the drop-down to L100 shows the incorrect height (it's still using 40-scale values). Frustrating.
    Since we use different scales on a regular basis I only use one style with the height set to 0. I have a lisp that sets the textsize by picking text, attribute, entering a value, picking two points, or it will calculate it from CANNOSCALEVALUE if in Model Space.
    Code:
     ;| Text size - This one you can get text size by picking text, attribute, entering a value, picking two points, or it will calculate it from CANNOSCALEVALUE if in Model Space.  It doesn't change on Escape.
       (load "TXTsize.LSP") tas ;
       by: Tom Beauford
       Leon County Public Works Engineering
    ===============================================|;
    (defun C:tas (/ *error* vars tnt ts txt etp style)
      (setq vars (mapcar '(lambda (x) (cons x (getvar x))) '("luprec" "modemacro" "cmdecho")))
      (defun *error* (msg)
        ;; Reset variables
        (mapcar '(lambda (x) (setvar (car x) (cdr x))) vars)
        (if (not (wcmatch (strcase msg) "*BREAK,*CANCEL*,*EXIT*"))
          (princ (strcat "\nError: " msg))
        )
        (princ)
      )
    
      (setvar "luprec" 8)
      (setvar "cmdecho" 0)
      (grtext -1 "Select Text, Mtext or Attribute. Enter for more Options.")
      (setq tnt(nentsel "\nSelect Text Entity: "))
      (if(= 1 (getvar "cvport"))
        (setq ts (rtos(getvar "textsize")))
        (setq ts (rtos(/ 0.1 (getvar 'cannoscalevalue))))
      )
      (if (= "0" (substr ts (strlen ts)))
        (while (= (atof ts)(atof (substr ts 1 (- (strlen ts)1))))
          (setq ts(substr ts 1 (- (strlen ts)1)))
        );while
      );if
      (setq txt (strcat"\nChange Text Size from " (rtos(getvar "textsize")) " to :<" ts "> "))
      (if tnt (setq etp (cdr(assoc 0 (entget(car tnt))))))
      (if (or(= "TEXT" etp)(= "MTEXT" etp)(= "ATTRIB" etp))
        (progn
          (setq style (getvar "textstyle")
                style (tblobjname "style" style)
                xdata (cadr (assoc -3 (entget style '("AcadAnnotative"))))
                tnt(cdr(assoc 40 (entget (car tnt))))
          );setq
          (if(and xdata (= (cdr (nth 4 xdata)) 1))
            (setq tnt(* tnt (getvar "cannoscalevalue")))
          );if
        );progn
        (progn
          (grtext -1 "Enter Size, Pick 2 Points or Accept Default.")
          (setq tnt (getdist txt))
        );progn
      );if
      (if (or(= tnt nil)(= tnt 0.0))
        (setq tnt (atof ts))
      );if
        (setvar "textsize" tnt)
      (setq tnt (rtos(getvar "textsize")))
      (if (= "0" (substr tnt (strlen tnt)))
        (while (= (atof tnt)(atof (substr tnt 1 (- (strlen tnt)1))))
          (setq tnt(substr tnt 1 (- (strlen tnt)1)))
        );while
      );if
      (mapcar '(lambda (x) (setvar (car x) (cdr x))) vars)
      (princ)
    )

Similar Threads

  1. Lock Text Height in Dimension Style when Text Style Height is Not 0
    By autocad.wishlist1734 in forum AutoCAD Wish List
    Replies: 2
    Last Post: 2013-01-16, 04:55 AM
  2. Door Sill Height Incorrect
    By Alex Page in forum Revit Architecture - Families
    Replies: 1
    Last Post: 2010-05-30, 01:07 PM
  3. Doors - Head Height incorrect?
    By dbaldacchino in forum Revit Architecture - General
    Replies: 19
    Last Post: 2010-01-19, 08:35 PM
  4. DWG Import - Incorrect Height
    By VinceFerrero in forum Revit Architecture - General
    Replies: 0
    Last Post: 2007-05-23, 08:53 PM
  5. Set text height automatically to the correct height of your dimscale.
    By kastmiler in forum AutoCAD Tips & Tricks
    Replies: 7
    Last Post: 2006-03-16, 08:33 PM

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •